Subject: Gstreamer registry contains store references

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 21 Dec 2018 07:47:34 +0100

The Gstreamer framework generates a binary registry of discovered
plugins in ~/.cache/gstreamer-1.0/registry.ARCH.bin (where ARCH is the
CPU architecture).

This cache contains references to store items.  Since the registry is
not under the control of Guix it may go stale, causing Gstreamer to use
old (and potentially vulnerable) plugins.  A user may delete the
registry as it will be recreated automatically.

We should aim to build the registry in a profile hook.  According to the
gst-launch man page, the GST_REGISTRY environment variable can be used
to override the defautl location of the registry file.  When the
GST_REGISTRY_UPDATE variable is set to “no”, Gstreamer won’t attempt to
update the registry.

--
Ricardo

PS: IBus has the same problem.  See bug 22707.